uk.gov.hmrc.mongo.metrix

# MongoMetricRepository

###
Related Doc: package metrix

#### class MongoMetricRepository extends PlayMongoCollection[PersistedMetric] with MetricRepository

Annotations
  @Singleton()

Linear Supertypes
MetricRepository, PlayMongoCollection[PersistedMetric], MongoDatabaseCollection, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MongoMetricRepository
2. MetricRepository
3. PlayMongoCollection
4. MongoDatabaseCollection
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new MongoMetricRepository(mongoComponent: MongoComponent)(implicit ec: ExecutionContext)

   Annotations
     @Inject()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### val collection: MongoCollection[PersistedMetric]

   Definition Classes
     PlayMongoCollection

7. #### val collectionName: String

   Definition Classes
     PlayMongoCollection → MongoDatabaseCollection

8. #### def ensureIndexes(): Future[Seq[String]]

   Definition Classes
     PlayMongoCollection

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### def findAll(): Future[List[PersistedMetric]]

    Definition Classes
      MongoMetricRepository → MetricRepository

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### val indexes: Seq[IndexModel]

    Definition Classes
      PlayMongoCollection → MongoDatabaseCollection

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### def persist(calculatedMetric: PersistedMetric): Future[Unit]

    Definition Classes
      MongoMetricRepository → MetricRepository

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from MetricRepository

### Inherited from PlayMongoCollection[PersistedMetric]

### Inherited from MongoDatabaseCollection

### Inherited from AnyRef

### Inherited from Any

### Ungrouped